export const processorFactory = async (module) => {
    const factories = [];
    if (module.processorApp === "connect") {
        await addConnectProcessorFactories(factories, module);
    }
    if (module.processorApp === "switchboard") {
        await addSwitchboardProcessorFactories(factories, module);
    }
    return async (driveHeader) => {
        const processors = [];
        for (const factory of factories) {
            const factoryProcessors = await factory(driveHeader, module.processorApp);
            processors.push(...factoryProcessors);
        }
        return processors;
    };
};
async function addConnectProcessorFactories(factories, module) {
    const connectProcessorFactories = [];
    for (const factory of connectProcessorFactories) {
        factories.push(factory);
    }
}
async function addSwitchboardProcessorFactories(factories, module) {
    const { vetraCloudEnvironmentProcessorFactory } = await import("./vetra-cloud-environment/factory.js");
    const switchboardProcessorFactories = [
        vetraCloudEnvironmentProcessorFactory(module),
    ];
    for (const factory of switchboardProcessorFactories) {
        factories.push(factory);
    }
}
